Verify a config's schema against a source (drift check)
POST
/
v1
/
configs
/
{key}
/
schema
/
verify
cURL
curl -X POST 'https://api.growthbook.io/api/v1/configs/checkout-flow/schema/verify' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"schema":{"type":"typescript","value":"interface CheckoutFlow { timeout: number; retries: number }"}}'import requests
url = "https://api.growthbook.io/api/v1/configs/{key}/schema/verify"
payload = { "schema": {
"type": "json-schema",
"value": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({schema: {type: 'json-schema', value: {}}})
};
fetch('https://api.growthbook.io/api/v1/configs/{key}/schema/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.growthbook.io/api/v1/configs/{key}/schema/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'schema' => [
'type' => 'json-schema',
'value' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.growthbook.io/api/v1/configs/{key}/schema/verify"
payload := strings.NewReader("{\n \"schema\": {\n \"type\": \"json-schema\",\n \"value\": {}\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.growthbook.io/api/v1/configs/{key}/schema/verify")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"schema\": {\n \"type\": \"json-schema\",\n \"value\": {}\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.growthbook.io/api/v1/configs/{key}/schema/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"schema\": {\n \"type\": \"json-schema\",\n \"value\": {}\n }\n}"
response = http.request(request)
puts response.read_body{
"inSync": true,
"fingerprint": "<string>",
"incomingFingerprint": "<string>",
"drift": {
"contract": [
{
"key": "<string>",
"change": "added"
}
],
"docs": [
{
"key": "<string>",
"change": "added"
}
]
},
"ancestorOwnedFields": [
{
"key": "<string>",
"ownedBy": "<string>",
"identical": true
}
],
"warnings": [
{
"code": "dropped-declaration",
"message": "<string>",
"path": "<string>"
}
]
}Authorizations
bearerAuthbasicAuth
Body
application/json
Response
200 - application/json
Resource created
Was this page helpful?
⌘I
cURL
curl -X POST 'https://api.growthbook.io/api/v1/configs/checkout-flow/schema/verify' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"schema":{"type":"typescript","value":"interface CheckoutFlow { timeout: number; retries: number }"}}'import requests
url = "https://api.growthbook.io/api/v1/configs/{key}/schema/verify"
payload = { "schema": {
"type": "json-schema",
"value": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({schema: {type: 'json-schema', value: {}}})
};
fetch('https://api.growthbook.io/api/v1/configs/{key}/schema/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.growthbook.io/api/v1/configs/{key}/schema/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'schema' => [
'type' => 'json-schema',
'value' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.growthbook.io/api/v1/configs/{key}/schema/verify"
payload := strings.NewReader("{\n \"schema\": {\n \"type\": \"json-schema\",\n \"value\": {}\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.growthbook.io/api/v1/configs/{key}/schema/verify")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"schema\": {\n \"type\": \"json-schema\",\n \"value\": {}\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.growthbook.io/api/v1/configs/{key}/schema/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"schema\": {\n \"type\": \"json-schema\",\n \"value\": {}\n }\n}"
response = http.request(request)
puts response.read_body{
"inSync": true,
"fingerprint": "<string>",
"incomingFingerprint": "<string>",
"drift": {
"contract": [
{
"key": "<string>",
"change": "added"
}
],
"docs": [
{
"key": "<string>",
"change": "added"
}
]
},
"ancestorOwnedFields": [
{
"key": "<string>",
"ownedBy": "<string>",
"identical": true
}
],
"warnings": [
{
"code": "dropped-declaration",
"message": "<string>",
"path": "<string>"
}
]
}
